//
//  MATCCalculationOperation.h
//  ThreadingExample
//
//  Created by Brad Larson on 3/3/2010.
//

#import <Foundation/Foundation.h>

extern NSString *const kMATCCalculationStartedNotification;
extern NSString *const kMATCCalculationFinishedNotification;

@interface MATCCalculationOperation : NSOperation 
{
	CGFloat cycles;
	NSInteger operationID;
}

// Initialization and teardown
- (id)initWithCycles:(CGFloat)newCycles operationID:(NSInteger)newOperationID;

// Notification methods
- (void)notifyAboutStartOfOperation;
- (void)notifyAboutEndOfOperation;

@end
