//
//  MATCAtomicIncrement.m
//  ThreadingExample
//
//  Created by Brad Larson on 3/6/2010.
//

#import "MATCAtomicIncrement.h"
#import <pthread.h>


@implementation MATCAtomicIncrement

- (void)viewDidLoad 
{
	tallyLock = [[NSLock alloc] init];
	pthread_mutex_init( &tallyMutex, NULL );
    [super viewDidLoad];
}

- (void)dealloc 
{
	[tallyLock release];

    [super dealloc];
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (IBAction)startCounting;
{
	[NSThread detachNewThreadSelector:@selector(countingThread) toTarget:self withObject:nil];
	[NSThread detachNewThreadSelector:@selector(countingThread) toTarget:self withObject:nil];
	[self performSelectorInBackground:@selector(countingThread) withObject:nil];
	[self performSelectorInBackground:@selector(countingThread) withObject:nil];
}

- (void)countingThread;
{
	for (NSUInteger incrementCount = 0; incrementCount < 100000; incrementCount++)
	{
//		pthread_mutex_lock(&tallyMutex);

//		[tallyLock lock];
		tally++;
//		[tallyLock unlock];

//		pthread_mutex_unlock(&tallyMutex);
	}
	
	[self performSelectorOnMainThread:@selector(updateCountDisplay) withObject:nil waitUntilDone:YES];
}

- (void)updateCountDisplay;
{
	countDisplay.text = [NSString stringWithFormat:@"Final count: %d", tally];
}

@end
