//
//  MATCInterfaceUpdate.m
//  ThreadingExample
//
//  Created by Brad Larson on 3/6/2010.
//

#import "MATCInterfaceUpdate.h"


@implementation MATCInterfaceUpdate

/*
 // The designated initializer.  Override if you create the controller programmatically and want to perform customization that is not appropriate for viewDidLoad.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc 
{
    [super dealloc];
}

- (IBAction)startUpdatingProgressView;
{
//	[self threadedCalculation];
	[self performSelectorInBackground:@selector(threadedCalculation) withObject:nil];
}

- (void)threadedCalculation;
{
	NSAutoreleasePool *pool = [[NSAutoreleasePool alloc] init];
	
	for (NSUInteger progressCounter = 0; progressCounter < 400000; progressCounter++)
	{
		if ((progressCounter % 1000) == 0)
		{
			usleep(10000);
			[self performSelectorOnMainThread:@selector(updateProgressViewToPercentage:) withObject:[NSNumber numberWithFloat:(progressCounter / 400000.0)] waitUntilDone:NO];
		}
	}
	
	[pool release];
}

- (void)updateProgressViewToPercentage:(NSNumber *)percentage;
{
	progressView.progress = [percentage floatValue];
}

@end
